/**
 * EntityNameUse2.java
 *
 * File generated from the medication2::EntityNameUse2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityNameUse2.
 *
 * 
 */

@XmlType(name = "EntityNameUse")
@XmlEnum
@XmlRootElement(name = "EntityNameUse2")
public enum EntityNameUse2 {
	@XmlEnumValue("C")
	C("C"),
	@XmlEnumValue("SRCH")
	SRCH("SRCH"),
	@XmlEnumValue("PHON")
	PHON("PHON"),
	@XmlEnumValue("SNDX")
	SNDX("SNDX"),
	@XmlEnumValue("ABC")
	ABC("ABC"),
	@XmlEnumValue("IDE")
	IDE("IDE"),
	@XmlEnumValue("SYL")
	SYL("SYL"),
	@XmlEnumValue("L")
	L("L"),
	@XmlEnumValue("A")
	A("A"),
	@XmlEnumValue("ASGN")
	ASGN("ASGN"),
	@XmlEnumValue("I")
	I("I"),
	@XmlEnumValue("R")
	R("R"),
	@XmlEnumValue("P")
	P("P");
	
	private final String value;

    EntityNameUse2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static EntityNameUse2 fromValue(String v) {
        for (EntityNameUse2 c: EntityNameUse2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
